Uploaded image for project: 'Sling'
  1. Sling
  2. SLING-9880

Run SonarQube analysis with JDK 11

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Major
    • Resolution: Duplicate
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: Testing
    • Labels:
      None

      Description

      As per https://sonarcloud.io/documentation/appendices/end-of-support/ the SonarQube scanner should now run with Java 11.

      Our builds are using the first jdk in the module's list [1], which is often jdk_1.8_latest.

      Some builds pass but recently onboarded projects fail, like https://ci-builds.apache.org/job/Sling/job/modules/job/sling-org-apache-sling-adapter-annotations-it/job/master/8/console which says "The version of Java (1.8.0_252) you have used to run this analysis is deprecated and we will stop accepting it soon" and "To make sure everyone is aware of this limitation we fail the analysis of new projects". The "new projects" bit apparently explains while existing projects pass.

      [1] https://github.com/apache/sling-tooling-jenkins/blob/master/vars/slingOsgiBundleBuild.groovy

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                bdelacretaz Bertrand Delacretaz
                Reporter:
                bdelacretaz Bertrand Delacretaz
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: